import 'package:advertising_id/advertising_id.dart';

import 'package:app_tracking_transparency/app_tracking_transparency.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';

class AdsController {
  final MobileAds _instance;

  bool _isPersonalisedAllowed = false;

  bool get isPersonalisedAllowed => _isPersonalisedAllowed;

  AdRequest androidAdRequest = const AdRequest();
  AdRequest personalisedAdRequest = const AdRequest(nonPersonalizedAds: false);
  AdRequest nonPersonalisedAdRequest =
      const AdRequest(nonPersonalizedAds: true);

  AdsController(this._instance);

  AdRequest createAdRequest() {
    return isPersonalisedAllowed
        ? personalisedAdRequest
        : nonPersonalisedAdRequest;
  }

  Future<void> initialize() async {
    _instance.initialize();
    TrackingStatus trackingStatus = await isTrackingAllowed();
    _isPersonalisedAllowed = (TrackingStatus.authorized == trackingStatus);
    await AdvertisingId.id(true);
  }

  Future<TrackingStatus> isTrackingAllowed() async {
    final status = await AppTrackingTransparency.requestTrackingAuthorization();
    return status;
  }
}
