import 'package:cramr_ui_lib/model/verb.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../model/cardinality_selection.dart';
import '../model/verb_test_model.dart';
import '../repo/verb_repository.dart';
import 'cardinality_filter.dart';

class PracticeSessionUtil {
  static void initialiseVerbTestModel(
      // BuildContext context,
      VerbTestModel model,
      CardinalitySelection selection,
      List<String> expectedIndicative,
      Verb verb,
      String mode,
      String tense) {
    model.initialise(
        CardinalityFilter.filteredList(selection, expectedIndicative),
        CardinalityFilter.filteredList(
            selection, VerbRepository.instance().pronouns),
        verb.infinitive,
        verb.isoLanguage,
        verb.translation,
        mode,
        tense);
    model.reset();
  }
}
