import 'package:flutter/material.dart';

import '../util/text_size_limiter.dart';

class ScoreWidget extends StatelessWidget {
  final int actualScore;
  final int totalScore;

  const ScoreWidget(this.actualScore, this.totalScore, {Key? key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.fromLTRB(20, 20, 20, 20),
      child: Card(
          elevation: 10,
          child: ListTile(
            title: Text(
              "Score:",
              textScaleFactor: TextSizeLimiter.textScaleFactor(context),
            ),
            trailing: Container(
              padding: const EdgeInsets.fromLTRB(75, 5, 30, 5),
              child: Text(
                "$actualScore/$totalScore",
                textScaleFactor: TextSizeLimiter.textScaleFactor(context),
              ),
            ),
          )),
    );
  }
}
