import 'package:cramr_ui_lib/model/cardinality_selection.dart';
import 'package:cramr_ui_lib/model/conjugation.dart';
import 'package:cramr_ui_lib/model/french_verb.dart';
import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/util/practice_session_util.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Generic tests', () {
    final List<String> randomIndicative = [
      'exp1',
      'exp2',
      'exp3',
      'exp4',
      'exp5',
      'exp6',
    ];

    final List<String> randomPronouns = [
      'pron1',
      'pron2',
      'pron3',
      'pron4',
      'pron5',
      'pron6'
    ];

    const String mode = 'mode';
    const String tense = 'tense';

    test('testing based on the reset method of the model', () {
      VerbTestModel model = VerbTestModel();
      model.initialise(randomIndicative, randomPronouns, 'infinitive', 'fr',
          'translation', mode, tense);
      int person = 0;
      for (var element in randomIndicative) {
        model.add(element, person++);
      }
      expect(model.items, randomIndicative);
      CardinalitySelection selection = CardinalitySelection(true, true);
      PracticeSessionUtil.initialiseVerbTestModel(
          model,
          selection,
          randomIndicative,
          FrenchVerb('infinitive', 'translation',
              Conjugation(mode, tense, randomIndicative)),
          mode,
          tense);
      expect(model.items, []);
    });
  });
}
